function Convert(Data)  { // Conversion Control Function

	if (document.SaveIt.Action.value != "" ) {

		// Save the action
		var NewAction = document.SaveIt.Action.value ;

		// Clear the Action variable
		document.SaveIt.Action.value = "";

		// Convert to Rot13
		if (NewAction == "ROT13") {
			var Converted = rot13(Data);
			document.EncodeForm.Encoding.selectedIndex = 0;
			return Converted;
		} // End if

		if (NewAction == "MD4") {
			var Converted = calcMD4(Data);
			document.EncodeForm.Encoding.selectedIndex = 0;
			return Converted;
		} // End if

		if (NewAction == "MD5") {
			var Converted = calcMD5(Data);
			document.EncodeForm.Encoding.selectedIndex = 0;
			return Converted;
		} // End if

		if (NewAction == "SHA1") {
			var Converted = calcSHA1(Data);
			document.EncodeForm.Encoding.selectedIndex = 0;
			return Converted;
		} // End if

		// Convert to URL Encode
		if (NewAction == "URLENCODE") {
			var Converted = urlEncode(Data);
			document.EncodeForm.Encoding.selectedIndex = 0;
			return Converted;
		} // End if

		// Convert to URL Decode
		if (NewAction == "URLDECODE") {
			var Converted = urlDecode(Data);
			document.EncodeForm.Encoding.selectedIndex = 0;
			return Converted;
		} // End if

		// Convert to Base64 Encode
		if (NewAction == "BASE64ENCODE") {
			var Converted = base64Encode(Data);
			document.EncodeForm.Encoding.selectedIndex = 0;
			return Converted;
		} // End if

		// Convert to Base64 Decode
		if (NewAction == "BASE64DECODE") {
			var Converted = base64Decode(Data);
			document.EncodeForm.Encoding.selectedIndex = 0;
			return Converted;
		} // End if
		

	} else { // Do Nothing to String
		return Data;
	}

}
